from Crypto.Cipher import DES
import base64

def decrypt(toDecrypt, key):
    cipher = DES.new(key, DES.MODE_CBC, key)
    bytesToDecrypt = bytes.fromhex(toDecrypt)
    #print(bytesToDecrypt)
    decrypted = cipher.decrypt(bytesToDecrypt)
    #print(decrypted)
    return decrypted[:-decrypted[-1]].decode()

LABEL_KEY = b"ljlfwang"

def decryptQueryString(toDecrypt):
    return decrypt(toDecrypt, LABEL_KEY)

#print(decryptQueryString('8294BBDD3BDEA86D5566607C3E65C98F'))